stages:
  - build
  - deploy


build:
  interruptible: true

  needs: []
  stage: build
  image: quay.io/buildah/stable
  variables:
    IMAGE_NAME: "$CI_REGISTRY/devsexops/dvna"
    BUILDAH_LAYERS: 'true'
  before_script:
    # Note: unlike in normal environment, we do not have a domain here.
    # We have chosen to use the registry as an insecure one because we don't think that
    # considering encryption and MITM attacks is important for this lab and we don't
    # want to work with increased complexity when using self-signed certificates.
    - buildah login -u "$CI_REGISTRY_USER" -p "$CI_JOB_TOKEN" "$CI_REGISTRY"
  script:
    - >
      buildah build
      -t "$IMAGE_NAME:$CI_COMMIT_SHA"
      -t "$IMAGE_NAME:latest"
    - buildah push "$IMAGE_NAME:$CI_COMMIT_SHA"
    - buildah push "$IMAGE_NAME:latest"
  only:
    - manual
